## GtexCommands

GtexCommands — Actions, menus and toolbars

## Functions

void | gtex_commands_add_action_infos ()
void | gtex_commands_add_actions ()
GtkMenu * | gtex_commands_create_edit_menu ()
GtkMenu * | gtex_commands_create_latex_menu ()
GtkMenu * | gtex_commands_create_math_menu ()
GtkToolbar * | gtex_commands_create_edit_toolbar ()

## Includes

    #include <gtex.h>

## Description

## Functions

### gtex_commands_add_action_infos ()

    void
    gtex_commands_add_action_infos (GtkApplication *app);

Creates the AmtkActionInfo's and adds them to the AmtkActionInfoStore returned by `tepl_application_get_app_action_info_store()`.

#### Parameters

app | the GtkApplication instance. |

### gtex_commands_add_actions ()

    void
    gtex_commands_add_actions (GtkApplicationWindow *window);

Creates the GAction's and adds them to `window` .

#### Parameters

window | a GtkApplicationWindow. |

### gtex_commands_create_edit_menu ()

    GtkMenu *
    gtex_commands_create_edit_menu (GtkApplicationWindow *gtk_window);

#### Parameters

gtk_window | a GtkApplicationWindow. |

#### Returns

a new GtkMenu with the Edit actions.

[transfer floating]

### gtex_commands_create_latex_menu ()

    GtkMenu *
    gtex_commands_create_latex_menu (GtkApplicationWindow *gtk_window);

#### Parameters

gtk_window | a GtkApplicationWindow. |

#### Returns

a new GtkMenu with a lot of LaTeX commands.

[transfer floating]

### gtex_commands_create_math_menu ()

    GtkMenu *
    gtex_commands_create_math_menu (GtkApplicationWindow *gtk_window);

#### Parameters

gtk_window | a GtkApplicationWindow. |

#### Returns

a new GtkMenu with a lot of math LaTeX commands.

[transfer floating]

### gtex_commands_create_edit_toolbar ()

    GtkToolbar *
    gtex_commands_create_edit_toolbar (GtkApplicationWindow *gtk_window);

#### Parameters

gtk_window | a GtkApplicationWindow. |

#### Returns

a new GtkToolbar with the most common LaTeX actions.

[transfer floating]